News

Google Warns 2 Billion Chrome Users

Google Chrome has over two billion users worldwide and dominates the web browser market, but that also makes it a top target for hackers, and now Google has issued a second urgent update alert 4 in two months.

Google, Chrome, Chrome update, Chrome update, Chrome security, Chrome hacking, Chrome browser, Chromium,
Google warned users about seven “high” [+] LIGHTROCKET VIA GETTY
images One post from the official Google blog has revealed that seven “high” security threats were found in Chrome, vulnerabilities of which affect Chrome users on all major operating systems: Windows, MacOS and Linux.

Google currently reports very little on flaws. This is standard practice as the company tries to limit the amount of information in order to prevent these vulnerabilities from spreading to hackers and to give users time to protect themselves. So that’s all Chrome users need to do. Continue Now:

High — CVE-2021-30598: Type Confusion in V8. Reported by Manfred Paul
High — CVE-2021-30599: Type Confusion in V8. Reported by Manfred Paul
High — CVE-2021-30600: Use after free in Printing. Reported by 360 Alpha Lab
High — CVE-2021-30601: Use after free in Extensions API. Reported by 360 Alpha Lab
High — CVE-2021-30602: Use after free in WebRTC. Reported by Cisco Talos
High — CVE-2021-30603: Race in WebAudio. Reported by Google Project Zero
High — CVE-2021-30604: Use after free in ANGLE. Reported by SecunologyLab

I can tell you that V8 Type Confusion is the central open source JavaScript engine in Chrome. WebRTC (Web Real Time Communication) is a technology that allows you to transfer audio and video data online between browsers and mobile applications. “ANGLE” (Near Native Graphics Layer Engine) is an abstraction layer for Google’s open source cross-platform graphics engine. Print and extensions speak for themselves.

Historically, they were all used by hackers to execute code to gain control of a target’s computer.The most recent zero-day Chrome hack (where hackers are known to exploit a vulnerability before Google can fix it) was V8.

To combat these new threats, all Chrome users should go to Settings> Help> About Google Chrome. If your browser version on Linux, macOS, and Windows shows up as 92.0.4515.159 or later, you’re safe. Otherwise, the About screen will prompt you to update and restart your browser. You must do this immediately.

Google’s acknowledgment that fixes for high-level attacks are usually released within days of detection, but still depend on billions of users updating and launching their browsers to be effective.

Chrome is a great browser, but attacks are on the rise and eight zero-day Chrome hacks have been made this year. It is now important to keep Chrome up to date.Appreciate.

Categories: News

Tagged as: , ,

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s